TWEET(1)

NAME
tweet - Text-based client for Twitter.

SYNOPSIS
tweet [options] message

DESCRIPTION

    tweet is a text-based client that allows you to post messages to Twitter.

OPTIONS AND DOCUMENTATION

Options:
 -h --help : print this help
 --consumer-key : the twitter consumer key
 --consumer-secret : the twitter consumer secret
 --access-key : the twitter access token key
 --access-secret : the twitter access token secret
 --encoding : the character set encoding used in input strings, e.g. "utf-8". [optional]

Documentation:

If either of the command line flags are not present, the environment variables TWEETUSERNAME and TWEETPASSWORD will then be checked for your consumer_key or consumer_secret, respectively.

    If neither the command line flags nor the environment variables are present, the .tweetrc file, if it exists, can be used to set the default consumer_key and consumer_secret. The file should contain the following three lines, replacing *consumer_key* with your consumer key, and *consumer_secret* with your consumer secret:

    A skeletal .tweetrc file:

     [Tweet]
     consumer_key: *consumer_key*
     consumer_secret: *consumer_password*
     access_key: *access_key*
     access_secret: *access_password*

SEE ALSO
 <https://github.com/bear/python-twitter>
 <http://www.twitter.com>